Make zfs-initramfs and zfsutils-linux install optional

Bug #1847739 reported by Didier Roche on 2019-10-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Undecided
Unassigned
ubuntu-budgie-meta (Ubuntu)
Undecided
fossfreedom
ubuntu-mate-meta (Ubuntu)
High
Martin Wimpress
ubuntu-meta (Ubuntu)
Undecided
Unassigned
ubuntustudio-meta (Ubuntu)
Undecided
Erich Eickmeyer
xubuntu-meta (Ubuntu)
Undecided
Unassigned

Bug Description

Move those 2 to the live seed to have them available in the installer.

Mark them then manually installed in the installer if needed. Then, ubiquity will purge them if not used.

Didier Roche (didrocks) wrote :

Here is the change to the ubuntu desktop seed as an example: https://git.launchpad.net/~ubuntu-core-dev/ubuntu-seeds/+git/ubuntu/commit/?h=eoan&id=00192c2d530e6b9a636ac0dcd754c4a80a2319e5. Ubiquity upload is on the way.

Didier Roche (didrocks) wrote :

Subscribed infinity for tracking the release. Look at the commit why it's not (yet) added to live-common.

Jean-Baptiste Lallement (jibel) wrote :

I added zfsutils-linux and zfs-initramfs to filesystem.manifest-remove on the iso (bind mount) and did the following tests:

* Normal zfs installation without the patch: zfs-initramfs is removed (but not zfsutils-linux which is a different issue that needs investigation)
* Normal zfs installation with the patch: both packages are kept installed on target.

Didier Roche (didrocks) wrote :

(in unapproved)

Changed in ubiquity (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-meta (Ubuntu):
status: New → Fix Committed
Changed in ubuntustudio-meta (Ubuntu):
assignee: nobody → Erich Eickmeyer (eeickmeyer)
status: New → In Progress
Changed in ubuntustudio-meta (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntu-budgie-meta (Ubuntu):
assignee: nobody → fossfreedom (fossfreedom)
Changed in ubuntu-budgie-meta (Ubuntu):
status: New → In Progress
Changed in ubuntu-budgie-meta (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.439

---------------
ubuntu-meta (1.439) eoan; urgency=medium

  * Refreshed dependencies
  * Only install zfs-initramfs and zfsutils-linux when needed (LP: #1847739)
  * Removed zfs-initramfs from desktop-minimal-recommends [amd64 arm64
    ppc64el s390x], desktop-recommends [amd64 arm64 ppc64el s390x]
  * Removed zfsutils-linux from desktop-minimal-recommends, desktop-
    recommends

 -- Didier Roche <email address hidden> Fri, 11 Oct 2019 12:22:14 +0200

Changed in ubuntu-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntustudio-meta - 0.198

---------------
ubuntustudio-meta (0.198) eoan; urgency=medium

  * Refreshed dependencies
  * Removed zfs-initramfs from desktop-core-recommends [amd64 arm64
    ppc64el s390x], desktop-recommends [amd64 arm64 ppc64el s390x]
    (LP: #1847739)
  * Removed zfsutils-linux from desktop-core-recommends, desktop-
    recommends (LP: #1847739)
  * Removed zsys from desktop-core-recommends [amd64 arm64 armhf i386
    ppc64el], desktop-recommends [amd64 arm64 armhf i386 ppc64el]
    (LP: #1847739)

 -- Erich Eickmeyer <email address hidden> Fri, 11 Oct 2019 07:54:57 -0700

Changed in ubuntustudio-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 19.10.19

---------------
ubiquity (19.10.19) eoan; urgency=medium

  [ Sebastien Bacher ]
  * Update the 'Skip' string to '_Skip', matching the change done to
    ubiquity.ui some years ago. The template needs to be manual updated which
    wasn't done at the time, should make it translatable again (LP: #1731070)

  [ Mathieu Trudel-Lapierre ]
  * Update translations from Launchpad.
  * debian/real-po/templates.pot: update template using debconf-updatepo.

  [ Jean-Baptiste Lallement ]
  * Switch zpool sync property back to standard after installation
  * zfsutils-linux and zfs-initramfs moved to the live task, don't remove them
    at the end of installation (LP: #1847739)
  * Change partition types to Solaris Boot and Root types

  [ Didier Roche ]
  * As we are not going to own in the end org.zsys, move our identifier tags
    to com.ubuntu.zsys (LP: #1847711)

 -- Jean-Baptiste Lallement <email address hidden> Fri, 11 Oct 2019 12:05:23 +0200

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-budgie-meta (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-mate-meta (Ubuntu):
status: New → In Progress
assignee: nobody → Martin Wimpress (flexiondotorg)
importance: Undecided → High
Changed in ubuntu-mate-meta (Ubuntu):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

I went ahead and added ZFS to mate-live, since Martin forgot that step when he fixed his meta.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-mate-meta - 1.257

---------------
ubuntu-mate-meta (1.257) eoan; urgency=medium

  * Refreshed dependencies (LP: #1847739)
  * Removed zfs-initramfs from core-recommends [amd64 arm64 ppc64el
    s390x], desktop-recommends [amd64 arm64 ppc64el s390x]
  * Removed zfsutils-linux from core-recommends, desktop-recommends
  * Removed zsys from core-recommends [amd64 arm64 armhf i386 ppc64el],
    desktop-recommends [amd64 arm64 armhf i386 ppc64el]

 -- Martin Wimpress <email address hidden> Sat, 12 Oct 2019 18:46:55 +0100

Changed in ubuntu-mate-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xubuntu-meta - 2.231

---------------
xubuntu-meta (2.231) eoan; urgency=medium

  * Refreshed dependencies (LP: #1847739)
  * Removed zfs-initramfs from core-recommends [amd64 arm64 ppc64el
    s390x], desktop-recommends [amd64 arm64 ppc64el s390x]
  * Removed zfsutils-linux from core-recommends, desktop-recommends
  * Removed zsys from core-recommends [amd64 arm64 armhf i386 ppc64el],
    desktop-recommends [amd64 arm64 armhf i386 ppc64el]

 -- Adam Conrad <email address hidden> Sat, 12 Oct 2019 14:15:15 -0600

Changed in xubuntu-meta (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers